%define name	cpqarrayd
%define version	2.0
%define release	4mdk

Summary:	Monitors SmartArray controllers and notifies via SNMP and syslog
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://starbreeze.knoware.nl/~hugo/compaq/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		cpqarrayd_2.0-3.diff.bz2
PreReq:		rpm-helper
Requires:	net-snmp
BuildRequires:	net-snmp-devel
BuildRequires:	libopenssl-devel
BuildRequires:	kernel-source
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Cpqarrayd monitors SmartArray controllers for you and notifies by
sending SNMP traps and via syslog.

%prep

%setup -q
%patch -p1

%build

%configure

%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/sysconfig

%makeinstall

perl -i -p -e 's:\@installroot\@:%{prefix}:;' scripts/cpqarrayd

install -m0755 scripts/cpqarrayd %{buildroot}%{_initrddir}
install scripts/cpqarrayd.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/cpqarrayd

%post
%_post_service cpqarrayd

%preun
%_preun_service cpqarrayd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL NEWS README
%attr(0755,root,root) %{_initrddir}/cpqarrayd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/cpqarrayd
%{_sbindir}/cpqarrayd
%{_mandir}/man1/cpqarrayd.1*

%changelog
* Tue May 24 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.0-4mdk
- add BuildRequires: kernel-source libopenssl-devel

* Tue May 10 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0-3mdk
- rpmlint fixes

* Tue May 10 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0-2mdk
- added P0 from debian to make it compile on x86_64

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0-1mdk
- initial mandrake package, used parts from the provided spec file
